# Generated by Django 2.1.1 on 2018-09-10 22:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Content',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='sometitle', max_length=200)),
                ('counter', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Membership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Audio',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='pages.Content')),
                ('bitrate', models.IntegerField(default=1)),
            ],
            bases=('pages.content',),
        ),
        migrations.CreateModel(
            name='Text',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='pages.Content')),
                ('text_field', models.TextField(default='some text')),
            ],
            bases=('pages.content',),
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='pages.Content')),
                ('file_link', models.FilePathField(path='/home/evgeny/Work/justwork/task/task/contents/storage/files')),
                ('subtitles_link', models.FilePathField(path='/home/evgeny/Work/justwork/task/task/contents/storage/subtitles')),
            ],
            bases=('pages.content',),
        ),
        migrations.AddField(
            model_name='page',
            name='members',
            field=models.ManyToManyField(through='pages.Membership', to='pages.Content'),
        ),
        migrations.AddField(
            model_name='membership',
            name='content',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pages.Content'),
        ),
        migrations.AddField(
            model_name='membership',
            name='page',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pages.Page'),
        ),
    ]
